Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001650Anope Stable (2.0.x series)[All Projects] Generalpublic2015-04-29 08:092015-12-29 20:55
ReporterApocalypse 
Assigned ToAdam 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0001650: ChanServ mode has problems with InspIRCd extbans
DescriptionChanServ appears to have problems handling mode +b extbans on InspIRCd. It is able to set them, yet is unable to remove/clear them properly. It appears to work fine when used with mode +eI extbans.

ChanServ is NOT able to set mode +beI Redirect properly, as it strips out the channel to redirect (Format: /mode #channel +beI Redirect:nick!user@host#channel). It is however to able remove mode +beI Redirect, with/without the channel being stripped.

ChanServ is NOT able to remove/clear mode +b extbans j, r, s, z, R, c, m, A, B, C, N, Q, S, T, and U, despite being able to set them properly.

ChanServ appears to be able to set/remove/clear mode +eI extbans properly (except with Redirect as previously mentioned).

Note, I used InspIRCd 2.0.19, and it had all relevant modules loaded for the extbans in question. I am also able to set and remove all of these modes manually with no issues.
Steps To Reproduce1) Set the extbans using
/cs mode #channel set +b extban:<string>
or
!mode set +b extban:<string>

2) Attempt to remove extbans using
/cs mode #channel set -b extban:<string>
or
!mode set -b extban:<string>

Will fail to remove extbans except for O, p, and M. Strips out the channel for extban Redirect when setting, is able to remove however.

I am also guessing it will also have
Additional InformationSome examples of unexpected results from ChanServ, it receives the command yet does nothing with it when attempting to remove.

Test channel:
[04/29/15][00:20:45] »» StaffBot sets modes (#Staff +b j:#test)
[04/29/15][00:23:03] »» StaffBot sets modes (#Staff +b r:Test)
[04/29/15][00:23:20] »» StaffBot sets modes (#Staff +b s:test.server.net)
[04/29/15][00:23:40] »» StaffBot sets modes (#Staff +b z:ccaaadddd)
[04/29/15][00:23:58] »» StaffBot sets modes (#Staff +b O:GlobalOperator)
[04/29/15][00:24:01] »» StaffBot sets modes (#Staff -b O:GlobalOperator)
[04/29/15][00:24:37] »» StaffBot sets modes (#Staff +b R:fractal)
[04/29/15][00:25:11] »» StaffBot sets modes (#Staff +b c:*!*@DarkVoltage.net)
[04/29/15][00:25:22] »» StaffBot sets modes (#Staff +b m:*!*@DarkVoltage.net)
[04/29/15][00:25:33] »» StaffBot sets modes (#Staff +b p:*!*@DarkVoltage.net)
[04/29/15][00:25:36] »» StaffBot sets modes (#Staff -b p:*!*@DarkVoltage.net)
[04/29/15][00:25:57] »» StaffBot sets modes (#Staff +b A:*!*@DarkVoltage.net)
[04/29/15][00:26:11] »» StaffBot sets modes (#Staff +b B:*!*@DarkVoltage.net)
[04/29/15][00:26:23] »» StaffBot sets modes (#Staff +b C:*!*@DarkVoltage.net)
[04/29/15][00:26:37] »» StaffBot sets modes (#Staff +b M:fractal)
[04/29/15][00:26:39] »» StaffBot sets modes (#Staff -b M:fractal)
[04/29/15][00:26:50] »» StaffBot sets modes (#Staff +b N:*!*@DarkVoltage.net)
[04/29/15][00:27:06] »» StaffBot sets modes (#Staff +b Q:*!*@DarkVoltage.net)
[04/29/15][00:27:16] »» StaffBot sets modes (#Staff +b S:*!*@DarkVoltage.net)
[04/29/15][00:27:30] »» StaffBot sets modes (#Staff +b T:*!*@DarkVoltage.net)
[04/29/15][00:27:39] »» StaffBot sets modes (#Staff +b U:*!*@DarkVoltage.net)
[04/29/15][00:34:36] »» StaffBot sets modes (#Staff +b Redirect:*!*@*)

Services log channel:
[04/29/15][00:20:45] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b j:#test
[04/29/15][00:21:04] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b j:#test
[04/29/15][00:23:03] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b r:Test
[04/29/15][00:23:05] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b r:Test
[04/29/15][00:23:19] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b s:test.server.net
[04/29/15][00:23:22] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b s:test.server.net
[04/29/15][00:23:39] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b z:ccaaadddd
[04/29/15][00:23:42] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b z:ccaaadddd
[04/29/15][00:23:58] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b O:GlobalOperator
[04/29/15][00:24:01] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b O:GlobalOperator
[04/29/15][00:24:37] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b R:fractal
[04/29/15][00:24:39] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b R:fractal
[04/29/15][00:25:11] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b c:*!*@DarkVoltage.net
[04/29/15][00:25:14] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b c:*!*@DarkVoltage.net
[04/29/15][00:25:22] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b m:*!*@DarkVoltage.net
[04/29/15][00:25:25] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b m:*!*@DarkVoltage.net
[04/29/15][00:25:33] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b p:*!*@DarkVoltage.net
[04/29/15][00:25:36] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b p:*!*@DarkVoltage.net
[04/29/15][00:25:57] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b A:*!*@DarkVoltage.net
[04/29/15][00:26:01] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b A:*!*@DarkVoltage.net
[04/29/15][00:26:11] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b B:*!*@DarkVoltage.net
[04/29/15][00:26:15] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b B:*!*@DarkVoltage.net
[04/29/15][00:26:23] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b C:*!*@DarkVoltage.net
[04/29/15][00:26:25] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b C:*!*@DarkVoltage.net
[04/29/15][00:26:37] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b M:fractal
[04/29/15][00:26:39] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b M:fractal
[04/29/15][00:26:50] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b N:*!*@DarkVoltage.net
[04/29/15][00:26:53] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b N:*!*@DarkVoltage.net
[04/29/15][00:27:06] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b Q:*!*@DarkVoltage.net
[04/29/15][00:27:09] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b Q:*!*@DarkVoltage.net
[04/29/15][00:27:16] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b S:*!*@DarkVoltage.net
[04/29/15][00:27:18] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b S:*!*@DarkVoltage.net
[04/29/15][00:27:30] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b T:*!*@DarkVoltage.net
[04/29/15][00:27:33] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b T:*!*@DarkVoltage.net
[04/29/15][00:27:39] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b U:*!*@DarkVoltage.net
[04/29/15][00:27:42] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b U:*!*@DarkVoltage.net
[04/29/15][00:34:36] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b Redirect:*!*@*#DarkVoltage
[04/29/15][00:34:39] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b Redirect:*!*@*#DarkVoltage
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006777)
Adam (administrator)
2015-12-29 20:55

Fixed in ba805e30b83c4bf2c583279f9e939fb05f566b14
(0006730)
Apocalypse (reporter)
2015-04-29 22:43

You're right, I see that now after looking at it again. InspIRCd gave an error message when prefixed with Redirect: when used on a channel that didn't exist, so I assumed initially it was properly formatted. However, even when using n!u@h#redirect, the same problem still persists where the #redirect is stripped when using cs_mode.

[04/29/15][16:39:13] »» StaffBot sets modes (#Staff +b *!*@*)

[04/29/15][16:39:13] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set +b *!*@*#DarkVoltage
[04/29/15][16:39:15] .:ChanServ:. COMMAND: Apocalypse!Apocalypse@apocalypse.darkvoltage.net (Apocalypse) used MODE on #Staff to set -b *!*@*#DarkVoltage
(0006729)
Adam (administrator)
2015-04-29 22:09

The format to redirect on inspircd is just n!u@h#redirect, not prefixed with Redirect:. Not sure what that would do.

- Issue History
Date Modified Username Field Change
2015-04-29 08:09 Apocalypse New Issue
2015-04-29 22:09 Adam Note Added: 0006729
2015-04-29 22:43 Apocalypse Note Added: 0006730
2015-12-29 20:55 Adam Note Added: 0006777
2015-12-29 20:55 Adam Status new => resolved
2015-12-29 20:55 Adam Resolution open => fixed
2015-12-29 20:55 Adam Assigned To => Adam


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker